BANK WOORI SAUDARA - Bug #1842

[HR-Employee Administarsi] Employee Movement - Termination
11/29/2022 11:50 AM - Johanes Christian Kurni

Status: Closed Start date: 11/29/2022
Priority: High Due date: 12/02/2022
Assignee: Johanes Christian Kurni % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.50 hours
Description

Dear Azid,

Mohon untuk di cek pada menu movement saat memilih karyawan untuk di termination data karyawan pada field Movement Type,
Movement Reason, Employee Area, Employee Office tidak langsung muncul yang seharus munul otomatis dari data sebelumnya
yang sudah ada.

remote.minovais.com:

= My Workplace i i Human System Administration Search... O\ Help m Jo -

A Movement Information

Menu Action Tarmination
@ My Workplace
Employee 1D Mulya Maulana Arifin
il i i
B Bl geEs Effective Date 2911112022
Company 1D: PT Bank Woorl Saudara Indonesia 1906 Thk
Payroll Group: Bank Woorl Saudara

B Organization Management

= fecniimentiisnsgement

Start Date 2811172022 Organization 00000049
End Date 31/12/98999 Position 10000080 - Kepala Departi (.,
Employee Master Data ~
Movemeant Type: 17 | T Joh Q
Employee Evaluation -
Movemeant Reason: T Cost Center: Q)
Upload Photo . | 2 00000200 A
Date: Nomor SK:
Import Employee Data
Export Employee Data Company ID: PT Bank Woori Saudara Indon Flag:
Delete Employee Data Employse Area | D] Notes:
Employee Report Employee Office: | T
B Time Management Employes Status: Active Create By: minovais
B Travel Management Employee Type:
. . Flaves e Permanent Create Date: 18/11/2022  08:16:34
Employee Level Type: MANAGER Change By minovais

Sedangkan di master data employee sudah punya datanya.
= My Workplace Business Intelligence Human Resource System Administration
Employee Status: Active Organization:
Employes Type Permanant Position
@ My Workplace
Ll Business Intelligence Personal Data | Assignment ‘ Address Family Education
Start Date: 27/03/2006 QOrganization:
End Date: 31/12/9999 Position:
B Organization Management Movement Type: Mutation Job
I Recruitment Management
Movement Reason: 0019 | o) Cost Center
Date: Nomor SK:
Employee Movement
Company ID PT Bank Woori Saudara Indon Flag
Employee Area Notes:
Empioyee Evaluation woy Kantor Pusat
Upload Photo Employes Office: KANTOR PUSAT
Import Employee Data Employee Status: Active Create By:
Export Employee Data Employee Type: Permanznt Create Date:
Delete Employee Data Employee Level Type: MANAGER Change By
Employee Report Employse Function: STAFF KP Change Date
B Time Management Employee Level Function: | g7aFF kp
I Travel Management Employee Grade
Payroll Group: Bank Woori Saudara

Port: http://remote.minovais.com:31118/

Server: remote.minovais.com, 1438\MSSQLSERVER2012

DB: MinovaES_BWS_ Dev

Menu: HR > Employee Administration > Employee Movement > Termination

Terima Kasih.

Search... Q. Help [N Jo -

Departemen Remunerasi

Kepala Departemen Remunerasi

‘Working Experienc ~ Qrganization Histor Heal

00000049
10000080 - Kepala Departi (.,
\

00000200 Q

minovais
18/11/2022 08:16:34
minovais

18/11/2022  08:16:34

History

#1 - 11/30/2022 10:39 PM - M Azid Wahyudi

- File clipboard-202211302234-tqh73.png added
- File clipboard-202211302238-ovmyt.png added
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear jo , udah bisa di test ya
untuk movementType masih kode karena tidak sesuai data nya dengan table deskripsinya
http://remote.minovais.com:31118/

= MyWorkplace  Business Inteligence  Human Resource  System Administration Search. Q  Help [ Azd -

Employee Movement

1 Assignment2 Additional Payroll

@ My Workplace

Business Intelligence
A Movement Information

Menu Action Termination
Employee ID Mulya Maulana Arifin
B Organization Management
Effective Date: 301112022
M Recruitment Management
Company ID: PT Bank Woori Saudara Indonesia 1906 Tok
Payroll Group Bank Woori Saudara

Employee Master Data

Upload Photo Start Date: 3011112022 Organization 00000049
Import Employee Data End Date 31112/9999 Position: 10000080 - Kepala Departc (|
Export Employee Data Movement Typs. 008 ® Job X
Delete Employee Data
Movement Reason Position Cost Center: 00000200 - Kantor Pusat
Employee Report
Date Nomor SK.
M Time Management
Company 1D PT Bank Woori Saudara Indon Flag
M Travel Management
Employes Area Notes
B Benefit Administration Kantor Pusat
M Payroll Administration Employee Office. KANTOR PUSAT
B Payroll Accounting Employee Status Active Create By, minovais
B HR Strategic Employee Type Permanent Create Date. 201112022 142717
Employee Level Type: MANAGER v
F System Administration Change By minovais
Employes Funciion
ploy STAFF KP Change Date 29/11/2022 142717

Employee Level Function:  g7arF kp.

Employee Grade

Payroll Group: Bank Woori Saudara

2022® PT Minova Infotech Solutions. All Rights Reserved.

EMOYOEDRIY L

note untuk functional :

1. ini adalah settmgan d| table PHRPAWIZFIELD jadi harus di daftarin dulu sesuai wizardnya

LAPTOP-J28H089PO....JL - dbo.PCMFUNC WIN-6PEHSTRPCM MFUNC WIN-6PEHSTRPC|

Wizard TableReference  Field DefaultValue Notes CreateBy CreateDate ChangeBy ChangeDate

ADD1 PHRRCO002 EndDate fnEndDate Function didap... minovais 20160101010101  minovais 20160101010101
ADD1 PHRRCO013 EndDate fnEndDate Function didap.. minovais 20160101010101  minovais 20160101010101
A900 PHRPADOD1 ExternallD fnExternallD Functien didap... minevais 20160101010101  minovais 20160101010101
A900 PHRPADOD2 Employeedrea fnEmployesArea  Function didap.. minovais 20160101010101  minovais 20160101010101
A900 PHRPADDD2 EmployeeOffice  fnEmployeeOffice  Functien didap... minovais 20160101070101  minovais 20160101010107
A900 PHRPADOD2 MovementType 01 Function didap... minovais 20160101010101  minovais 20160101010101
EOD1 PHRPADODT EndDate fnEndDate Functien didap... minevais 20160101070101  minovais 20160101010107
E0D1 PHRPADODT ExternallD frnExternallD Function didap... minovais 20160101010101  minovais 20160101010101
EQD1 PHRPADDD4 StartDate fnHiringDate Functicn didap... mincvais 20160101010101  minovais 20160101010101
E0O7 PHRPADOD2 Employeefrea fnEmployeeAreaPA Function didap.. minovais 20160101010101  minovais 20160101010101
EOD7 PHRPADDD2 EmployeeOffice  fnEmployeeOffic... Functicn didap.. minovais 20160101070101  minovais 20160101010107
E007 PHRPADOD2 MovementType  fnMovementTyp... Function didap.. minovais 20160101010101  minovais 20160101010101
EOO7 PHRPADDDZ MovementReas... fnMovementRea.. Function didap.. minovais 20160101010101  minovais 20160101010101

be NULL NULL NULL NULL NULL MNULL NULL NULL

yg di tandai warna merah itu yg di daftarin liat di PHRPAWIZMAIN

Package :
1. penambahan function di table PCMFUNC

makasih

#2 - 11/30/2022 10:41 PM - M Azid Wahyudi

referensi apa yg harus di daftarin liat di table wizmain itu berdasarkan action yg mau di daftarin

#3 - 12/15/2022 11:38 AM - Johanes Christian Kurni
- Status changed from QA Test to Closed

Files

clipboard-202211291142-f750y.png 117 KB 11/29/2022 Johanes Christian Kurni
clipboard-202211291147-pdyu7.png 116 KB 11/29/2022 Johanes Christian Kurni
clipboard-202211302234-tgh73.png 214 KB 11/30/2022 M Azid Wahyudi
clipboard-202211302238-ovmyt.png 48.3 KB 11/30/2022 M Azid Wahyudi
